mesos-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joris Van Remoortere (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (MESOS-2604) Upgrade minimum required compilers for MESOS
Date Thu, 09 Apr 2015 21:07:12 GMT

     [ https://issues.apache.org/jira/browse/MESOS-2604?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Joris Van Remoortere updated MESOS-2604:
----------------------------------------
    Target Version/s: 0.23.0
              Labels: c++11  (was: )

> Upgrade minimum required compilers for MESOS
> --------------------------------------------
>
>                 Key: MESOS-2604
>                 URL: https://issues.apache.org/jira/browse/MESOS-2604
>             Project: Mesos
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 0.23.0
>            Reporter: Cody Maloney
>            Assignee: Cody Maloney
>              Labels: c++11
>
> As discussed in the last community meeting we would like to upgrade the minimum mesos
compiler version to GCC 4.8+, Clang 3.5. GCC primarily for Linux. Clang for OS X, as well
as linux for enabling Mesos tooling improvements ([clang-format|http://mesos.apache.org/documentation/clang-format/],
clang-tidy among others).
> Some documents for reference:
> [Compilers by Distribution Version|https://docs.google.com/spreadsheets/d/1Ji8p3p_1JqUsMxE31mJqqztHf7LDx7mGMXh253azWpU/edit?usp=sharing]
> Shows we can get GCC 4.8+ or clang 3.5+ on all supported platforms.
> C++11 features supported by each compiler:
> [https://gcc.gnu.org/projects/cxx0x.html]
> [http://clang.llvm.org/cxx_status.html]



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message